Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 160773 - Kate treats C++ headers as C headers
Summary: Kate treats C++ headers as C headers
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kdebase
Version: 4
Hardware: i386
OS: Linux
medium
low
Target Milestone: ---
Assignee: Ngo Than
QA Contact: Ben Levenson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-17 07:52 UTC by Paul Koster
Modified: 2008-02-16 23:03 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-02-16 23:03:01 UTC


Attachments (Terms of Use)

Description Paul Koster 2005-06-17 07:52:40 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; nl-NL; rv:1.7.8) Gecko/20050524 Fedora/1.0.4-4 Firefox/1.0.4

Description of problem:
Although the file type in konqueror says C++ header for my header files, when opening them with Kate (or kate based editors) the syntax highlighting is C header style.

Tried to modify the file type in control center (extension) but no result.

Workaround: copy the cpp.xml over the c.xml in the katepart/syntax dir and modify the c.xml header-tag to its original c.xml header-tag

Version-Release number of selected component (if applicable):
kdebase-3.4.0-5

How reproducible:
Always

Steps to Reproduce:
1. Start Kate
2. Open a C++ header file

Actual Results:  Kate opens the file and syntax highlights according to a C style.

Expected Results:  Kate should open the file and syntax highlights according to a C++ style.

Additional info:

Comment 1 Christian Iseli 2007-01-20 00:24:33 UTC
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.

Comment 2 petrosyan 2008-02-16 23:03:01 UTC
Fedora Core 4 is no longer maintained.

Setting status to "INSUFFICIENT_DATA". If you can reproduce this bug in the
current Fedora release, please reopen this bug and assign it to the
corresponding Fedora version.


Note You need to log in before you can comment on or make changes to this bug.